Debian Bug report logs - #532726
tsclient: FTBFS: Cannot find libgnomeui/gnome-window-icon.h

version graph

Package: tsclient; Maintainer for tsclient is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Wed, 10 Jun 2009 23:48:02 UTC

Severity: serious

Tags: sid, squeeze

Found in version tsclient/0.150-1

Fixed in version tsclient/0.150-2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#532726; Package tsclient. (Wed, 10 Jun 2009 23:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 10 Jun 2009 23:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: submit@bugs.debian.org
Subject: tsclient: FTBFS: Cannot find libgnomeui/gnome-window-icon.h
Date: Wed, 10 Jun 2009 16:40:18 -0700
Package: tsclient
Version: 0.150-1
Severity: serious

From my pbuilder build log:

...
Making all in applet
make[3]: Entering directory `/tmp/buildd/tsclient-0.150/applet'
cc -DHAVE_CONFIG_H -I. -I. -I.. -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DORBIT2=1 -pthread -D_REENTRANT -I/usr/include/panel-2.0 -I/usr/include/gconf/2 -I/usr/include/gtk-2.0 -
I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -
I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/libxml2 -I/usr/include/libbonobo-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libgnome-2.0 -
I/usr/include/bonobo-activation-2.0 -I/usr/include/gail-1.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include      -g -O2 -g -Wall -O2 -c applet.c
applet.c:24:42: error: libgnomeui/gnome-window-icon.h: No such file or directory
applet.c: In function 'tsclient_applet_create':
applet.c:89: warning: implicit declaration of function 'gnome_window_icon_set_default_from_file'
applet.c:70: warning: unused variable 'i'
applet.c: In function 'create_menu':
applet.c:172: warning: assignment discards qualifiers from pointer target type
applet.c:185: warning: assignment from incompatible pointer type
applet.c: In function 'applet_popup_hide':
applet.c:263: warning: unused variable 'vol'
applet.c: In function 'applet_menu_item':
applet.c:281: warning: unused variable 'dialog'
make[3]: *** [applet.o] Error 1
make[3]: Leaving directory `/tmp/buildd/tsclient-0.150/applet'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/tsclient-0.150'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/tsclient-0.150'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Looks like a -I flag is missing for libgnomeui.
-- 
Daniel Schepler





Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Sun, 12 Jul 2009 14:00:07 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Sun, 12 Jul 2009 14:00:07 GMT) Full text and rfc822 format available.

Message #10 received at 532726-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 532726-close@bugs.debian.org
Subject: Bug#532726: fixed in tsclient 0.150-2
Date: Sun, 12 Jul 2009 13:32:06 +0000
Source: tsclient
Source-Version: 0.150-2

We believe that the bug you reported is fixed in the latest version of
tsclient, which is due to be installed in the Debian FTP archive:

tsclient_0.150-2.diff.gz
  to pool/main/t/tsclient/tsclient_0.150-2.diff.gz
tsclient_0.150-2.dsc
  to pool/main/t/tsclient/tsclient_0.150-2.dsc
tsclient_0.150-2_amd64.deb
  to pool/main/t/tsclient/tsclient_0.150-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 532726@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated tsclient package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 12 Jul 2009 15:12:23 +0200
Source: tsclient
Binary: tsclient
Architecture: source amd64
Version: 0.150-2
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 tsclient   - front-end for viewing of remote desktops in GNOME
Closes: 472052 532726
Changes: 
 tsclient (0.150-2) unstable; urgency=low
 .
   [ Josselin Mouette ]
   * 11_sort_rdp_files.patch: patch from Assen Tchorbadjiev to show saved
     rdp files in alphabetic order. Closes: #472052.
 .
   [ Loic Minier ]
   * Replace homepage pseudo-field in description with a real source field in
     control and update homepage to http://sourceforge.net/projects/tsclient;
     update URL in copyright as well.
 .
   [ Emilio Pozuelo Monfort ]
   * debian/watch: Don't uupdate.
   * debian/patches/01_configure_check_libgnomeui.patch:
     - Check for libgnomeui so that we have the necessary CFLAGS in the
       build. Closes: #532726.
   * debian/patches/99_autoconf.patch:
     - Regenerate the configure script.
   * debian/compat: bump compat to 5.
   * debian/copyright: make lintian happy with copyright notices.
 .
   [ Josselin Mouette ]
   * Increase debhelper build-dep according to the compat level.
Checksums-Sha1: 
 5f8365319e60f11ef4ec30a4403ea728dcf12ef8 1296 tsclient_0.150-2.dsc
 dd1cae3c9ac7f5a8add2a2de369382380fc9de49 57183 tsclient_0.150-2.diff.gz
 9b95c0481663550a7de9c060b8a8cb2c046ada43 377024 tsclient_0.150-2_amd64.deb
Checksums-Sha256: 
 faa764fe82736bae0ab1644573423ab9c286c1b130ed8c3c6856e2767a96f919 1296 tsclient_0.150-2.dsc
 63a1e7400524a6a055d7111821e01f0db41fb41f2c7dc53d935043d7f6c21a71 57183 tsclient_0.150-2.diff.gz
 dbebb8ac4fd0ef1d9a4e85cbfe078fd5399b64c738d06a249cea8234f45ee299 377024 tsclient_0.150-2_amd64.deb
Files: 
 7365f86b40f7f2bbcf34553573841447 1296 gnome optional tsclient_0.150-2.dsc
 835064edcb86651781cdea2912f95bee 57183 gnome optional tsclient_0.150-2.diff.gz
 ce2462889383c6e4a16a546a01a7094c 377024 gnome optional tsclient_0.150-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKWeJ7rSla4ddfhTMRAlPHAJ4likfQKjQ8kXCO1vcOhZjsK/QeTQCg2OLl
Ulv+rptqZ2xZMfo+VQrNNJs=
=79sc
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Fri, 22 Jan 2010 16:42:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:49:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:05:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.